Skip to main content
`Ctrl`+`K`

# DMLabelPropagateEnd

Tear down a cycle of label propagation

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelPropagateEnd(DMLabel label, PetscSF pointSF)

Collective

## Input Parameters

- label - The `DMLabel` to propagate across processes

- pointSF - The `PetscSF` describing parallel layout of the label points

## See Also

`DMLabel`, `DM`, `DMLabelPropagateBegin()`, `DMLabelPropagatePush()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages